﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using ThinkGeo.MapSuite.MvcEdition;
using ThinkGeo.MapSuite.Core;
using System.Collections.ObjectModel;

namespace DisplayASimpleMapForMvc.Controllers
{
    public class IndexController : Controller
    {
        //
        // GET: /UseDraggableMarkers/

        public ActionResult Index()
        {
            return View();
        }

        [MapActionFilter]
        public void AddMarkers(Map map, GeoCollection<object> args)
        {
            if (map != null)
            {
                //InMemoryMarkerOverlay inMemorymarkerOverlay = map.CustomOverlays["MarkerOverlay"] as InMemoryMarkerOverlay;
                //inMemorymarkerOverlay.FeatureSource.Open();
                //inMemorymarkerOverlay.FeatureSource.BeginTransaction();
                //inMemorymarkerOverlay.FeatureSource.AddFeature(new Feature(new PointShape(-7832952.93266, 4094101.58384)));
                //inMemorymarkerOverlay.FeatureSource.CommitTransaction();

                SimpleMarkerOverlay markerOverlay = map.CustomOverlays["smo"] as SimpleMarkerOverlay;
                markerOverlay.Markers.Add(new Marker(-8922952.93266, 2984101.58384, new ThinkGeo.MapSuite.MvcEdition.WebImage(21, 25, -10.5f, -25f)));
                markerOverlay.Markers.Add(new Marker(-12454955.13517, 4980025.26614, new ThinkGeo.MapSuite.MvcEdition.WebImage(21, 25, -10.5f, -25f)));
                markerOverlay.Markers.Add(new Marker(-10772117.52067, 3864656.14956, new ThinkGeo.MapSuite.MvcEdition.WebImage(21, 25, -10.5f, -25f)));
                markerOverlay.Markers.Add(new Marker(-13164290.75755, 4035875.09290, new ThinkGeo.MapSuite.MvcEdition.WebImage(21, 25, -10.5f, -25f)));
                markerOverlay.Markers.Add(new Marker(-9754587.80028, 5156136.17929, new ThinkGeo.MapSuite.MvcEdition.WebImage(21, 25, -10.5f, -25f)));
            }
        }
    }
}
